Managed Service for OpenSearch API, REST: ResourcePreset.List
Retrieves the list of available resource presets.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-opensearch/v1/resourcePresets
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"resourcePresets": [
{
"id": "string",
"zoneIds": [
"string"
],
"cores": "string",
"memory": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
resourcePresets[] |
List of resource presets. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. The maximum string length in characters is 100. |
ResourcePreset
A preset of resources for hardware configuration of the OpenSearch hosts.
|
Field |
Description |
|
id |
string ID of the resource preset. |
|
zoneIds[] |
string IDs of the availability zones where the resource preset is available. |
|
cores |
string (int64) Number of the CPU cores for an OpenSearch host created with the preset. |
|
memory |
string (int64) RAM volume for an OpenSearch host created with the preset, in bytes. |